Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.server.java.util
Class ConcurrentModificationException

`java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
oracle.jbo.server.java.util.ConcurrentModificationException`

All Implemented Interfaces:
  java.io.Serializable

public class ConcurrentModificationException
extends java.lang.RuntimeException

This exception may be thrown by methods that have detected concurrent modification of a backing object when such modification is not permissible.

For example, it is not permssible for one thread to modify a Collection while another thread is iterating over it. In general, the results of the iteration are undefined under these circumstances. Some Iterator implementations (including those of all the collection implementations provided by the JDK) may choose to throw this exception if this behavior is detected. Iterators that do this are known as fail-fast iterators, as they fail quickly and cleanly, rather that risking arbitrary, non-deterministic behavior at an undetermined time in the future.

Since:
  JDK1.2
See Also:
  `Collection`, `Iterator`, `ListIterator`, `Vector`, `LinkedList`, `HashSet`, `Hashtable`, `TreeMap`, `AbstractList`, Serialized Form

Constructor Summary
`ConcurrentModificationException()` Constructs a ConcurrentModificationException with no detail message.
`ConcurrentModificationException(java.lang.String message)` Constructs a `ConcurrentModificationException` with the specified detail message.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ConcurrentModificationException

    public ConcurrentModificationException()

  Constructs a ConcurrentModificationException with no detail message.
Since:
  JDK1.2

### ConcurrentModificationException

    public ConcurrentModificationException(java.lang.String message)

  Constructs a `ConcurrentModificationException` with the specified detail message.
Since:
  JDK1.2

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.